//
//  FirstViewController.m
//  Animation
//
//  Created by Jeffrey Ondich on 5/19/14.
//  Copyright (c) 2014 Jeff Ondich. All rights reserved.
//

#import "FirstViewController.h"

@interface FirstViewController () {
    BOOL showingJeff;
}


@end

@implementation FirstViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
 
    CGRect f = self.view.bounds;
    f.size.height = 0.6 * f.size.height;
    self.imageView1.frame = f;
    self.imageView2.frame = f;
    
    self.imageView1.image = [UIImage imageNamed:@"jondich"];
    self.imageView1.alpha = 1.0;
    self.imageView2.image = [UIImage imageNamed:@"jack"];
    self.imageView2.alpha = 0.0;

    [self.button sizeToFit];
    f = self.button.bounds;
    f.origin.y = 0.7 * self.view.bounds.size.height;
    f.origin.x = (self.view.bounds.size.width - f.size.width) / 2.0;
    self.button.frame = f;

    showingJeff = YES;
}

- (IBAction)buttonPressed {
    CGFloat jeffAlpha, jackAlpha;
    if (showingJeff) {
        jeffAlpha = 0.0;
        jackAlpha = 1.0;
    } else {
        jeffAlpha = 1.0;
        jackAlpha = 0.0;
    }
    showingJeff = !showingJeff;

    [UIView animateWithDuration:3.0
                          delay:0.0
                        options: UIViewAnimationOptionCurveLinear
                     animations:^{
                         self.imageView1.alpha = jeffAlpha;
                         self.imageView2.alpha = jackAlpha;
                     }
                     completion:^(BOOL finished){
                         if (showingJeff) {
                             self.label.text = @"Jeff";
                         } else {
                             self.label.text = @"Jack";
                         }
                     }];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
