//
//  ThirdViewController.m
//  Animation
//
//  Created by Jeffrey Ondich on 5/19/14.
//  Copyright (c) 2014 Jeff Ondich. All rights reserved.
//

#import "AppDelegate.h"
#import "ThirdViewController.h"

@interface ThirdViewController () {
    BOOL boxIsWhereItStarted;
}

@end

@implementation ThirdViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    boxIsWhereItStarted = YES;
}

- (IBAction)buttonPressed {
    CGAffineTransform newTransform;
    if (boxIsWhereItStarted) {
        newTransform = CGAffineTransformMakeTranslation(150, 100);
        newTransform = CGAffineTransformRotate(newTransform, 135 * M_PI  / 180);
    } else {
        newTransform = CGAffineTransformIdentity;
    }
    boxIsWhereItStarted = !boxIsWhereItStarted;
    
    [UIView animateWithDuration:2.0
                          delay:0.0
                        options: UIViewAnimationOptionCurveLinear
                     animations:^{
                         self.box.transform = newTransform;
                     }
                     completion:^(BOOL finished){
                         if (boxIsWhereItStarted) {
                             self.label.text = @"Here";
                         } else {
                             self.label.text = @"There";
                         }
                     }];
}

// 
// DON'T COMBINE TRANSFORMS WITH FRAME CHANGES!
//
//- (IBAction)buttonPressed {
//    CGAffineTransform newTransform;
//    CGRect newBoxFrame = self.box.frame;
//    if (boxIsWhereItStarted) {
//        newBoxFrame.origin.x += 150;
//        newBoxFrame.origin.y += 100;
//        newTransform = CGAffineTransformMakeRotation(135 * M_PI  / 180);
//    } else {
//        newBoxFrame.origin.x -= 150;
//        newBoxFrame.origin.y -= 100;
//        newTransform = CGAffineTransformIdentity;
//    }
//    boxIsWhereItStarted = !boxIsWhereItStarted;
//    
//    [UIView animateWithDuration:2.0
//                          delay:0.0
//                        options: UIViewAnimationOptionCurveLinear
//                     animations:^{
//                         self.box.transform = newTransform;
//                         self.box.frame = newBoxFrame;
//                     }
//                     completion:^(BOOL finished){
//                     }];
//}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
